package com.zhilian.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 车辆信息对象 business_vehicle
 */
@Data
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("business_vehicle")
public class Vehicle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 车辆ID
     */
    @Excel(name = "车辆ID",cellType = Excel.ColumnType.NUMERIC)
    @TableId(value = "vehicle_id",type = IdType.AUTO)
    private Long vehicleId;
    /**
     * 车辆VIN
      */
    @TableField("vehicle_vin")
    private String vehicleVIN;
    /**
     * 车辆类型编号
     */
    private Long vehicleTypeId;


    @TableField(exist = false)
    private Long vehicleTypeName;

    /**
     * 电机厂商
     */
    private String vehicleMotor;
    /**
     * 电池厂商
     */
    private String vehicleBattery;
    /**
     * 电机ID
     */
    private String motorId;
    /**
     * 电池ID
     */
    private String batteryId;

    /**
     * 车辆状态
     */
    private Long vehicleState;

    @TableField(exist = false)
    private List<Long> markersIds;
}
