package com.zhilian.business.remote.factory;

import com.zhilian.business.domain.BreakLog;
import com.zhilian.business.domain.BusinessBreak;
import com.zhilian.business.remote.RemoteBreakService;
import com.zhilian.common.core.domain.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
@Slf4j
@Component
public class RemoteBreakFallbackFactory implements FallbackFactory<RemoteBreakService> {
    @Override
    public RemoteBreakService create(Throwable cause) {
        return new RemoteBreakService() {
            @Override
            public Result logAdd(BreakLog breakLog) {
                 log.error("故障日志服务调用失败");
                return Result.error(HttpStatus.INTERNAL_SERVER_ERROR);
            }

            @Override
            public ResponseEntity<Boolean> checkIfBreakLogExists(String breakCode, String breakVin) {
                log.error("根据VIN和故障码查询服务调用失败");
                return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body(false);
            }
        };
//        return new RemoteBreakService() {
//            @Override
//            public Result add(BusinessBreak businessBreak) {
//                log.error("故障日志服务调用失败");
//                return Result.error("故障日志服务调用失败");
//            }
//        };
    }
}
