package com.zhilian.business.remote.factory;


import com.zhilian.business.domain.Vehicle;
import com.zhilian.business.remote.RemoteVehicleService;
import com.zhilian.common.core.domain.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteVehicleFallbackFactory implements FallbackFactory<RemoteVehicleService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteVehicleFallbackFactory.class);
    @Override
    public RemoteVehicleService create(Throwable throwable) {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemoteVehicleService() {
            @Override
            public Result<Vehicle> getVehicleByVIN(String vehicleVIN) {
                return Result.error("获取车辆信息失败:" + throwable.getMessage());
            }

            @Override
            public Result updateState(Vehicle vehicle) {
                return Result.error("更新车辆状态失败:" + throwable.getMessage());
            }
        };
    }
}
