package com.zhilian.common.resolver.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
  * @ClassName ResolverReportInfo
  * @Description 报文实体类
  * @Author Can.J
  * @Date  2024/3/26 21:47
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("resolver_report_info")
public class ResolverReportInfo extends BaseEntity {
    /**
     *  报文id
     */
    private Long reportId;

    /**
     *  车辆编码
     */
    private String vin;

    /**
     *  车辆在线时间
     */
    private Date onlineTime;

    /**
     * 车辆下线时间
     */
    private Date downLineTime;

    /**
     *  经度
     */
    private String longitude;

    /**
     *  维度
     */
    private String latitude;

    /**
     *  电池剩余电量
     */
    private BigDecimal remainingBattery;

    /**
     *  电池电量
     */
    private BigDecimal batteryLevel;

    /**
     *  总里程
     */
    private BigDecimal totalMileage;

    /**
     *  当前是否在线: 1在线 0:不在线
     */
    private int isOnline;

    /**
     *  报文创建时间
     */
    private Date createTime;

    /**
     * 车辆是否发生故障: 1是 0:否
     */
    private int isBreakDown;

    /**
     * 车辆故障是否解决: 1是 0:否
     */
    private int isSolve;

    /**
     *  车辆是否延迟：1是 0:否
     */
    private int isDelay;

    /**
     * 车辆是否重复: 1是 0:否
     */
    private int isRepeat;

    /**
     * 车辆状态: 1行驶中 0:停止
     */
    private int status;

    /**
     * 对应企业id
     */
    private Long companyId;

    /**
     *  是否展示 1展示 0:不展示
     */
    private Integer isDelete;
    private String createBy;
    private String remark;

}
