package com.zhilian.business;

import com.zhilian.business.controller.FenceController;
import com.zhilian.business.controller.VehicleController;
import com.zhilian.common.security.annotation.EnableCustomConfig;
import com.zhilian.common.security.annotation.EnableMyFeignClients;
import com.zhilian.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.business
 * @Description 启动类
 * @Author: LiYuan
 * @CreateTime: 2024-03-31  10:13
 * @Description: 业务模块启动类
 * @Version: 1.0
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class ZhiLianBusinessApplication implements ApplicationRunner {
    @Autowired
    private VehicleController vehicleController;

    @Autowired
    private FenceController fenceController;

    public static void main(String[] args) {
        SpringApplication.run(ZhiLianBusinessApplication.class);
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        fenceController.fenceRedisData();
    }
}
