package com.zhilian.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;

/**
 * 故障对象 business_break
 *
 * @author Yy
 * @date 2024-04-07
 */
@Data
public class BusinessBreak extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long breakId;

    /** 故障码 */
    @Excel(name = "故障码")
    private String breakCode;

    /** 车辆VIN */
    @Excel(name = "车辆VIN")
    private String breakVin;

    /** 结束报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String breakTime;

    /** 故障类型 */
    @Excel(name = "故障类型")
    private String breakType;

    /** 开始报警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始报警时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String breakDate;

    /** 是否警告 */
    @Excel(name = "是否警告")
    private String breakState;

    public void setBreakId(Long breakId)
    {
        this.breakId = breakId;
    }

    public Long getBreakId()
    {
        return breakId;
    }
    public void setBreakCode(String breakCode)
    {
        this.breakCode = breakCode;
    }

    public String getBreakCode()
    {
        return breakCode;
    }
    public void setBreakVin(String breakVin)
    {
        this.breakVin = breakVin;
    }

    public String getBreakVin()
    {
        return breakVin;
    }


    public void setBreakType(String breakType)
    {
        this.breakType = breakType;
    }

    public String getBreakType()
    {
        return breakType;
    }

    public void setBreakState(String breakState)
    {
        this.breakState = breakState;
    }

    public String getBreakState()
    {
        return breakState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("breakId", getBreakId())
            .append("breakCode", getBreakCode())
            .append("breakVin", getBreakVin())
            .append("breakTime", getBreakTime())
            .append("breakType", getBreakType())
            .append("breakDate", getBreakDate())
            .append("breakState", getBreakState())
            .toString();
    }
}
