package com.zhilian.business.mapper;

import java.util.List;

import com.zhilian.business.domain.BreakLog;
import com.zhilian.business.domain.BusinessBreak;
import com.zhilian.business.domain.request.BreakReq;
import org.apache.ibatis.annotations.Mapper;

/**
 * 故障Mapper接口
 *
 * @author Yy
 * @date 2024-04-07
 */
@Mapper
public interface BusinessBreakMapper
{
    /**
     * 查询故障
     *
     * @param breakId 故障主键
     * @return 故障
     */
    public BusinessBreak selectBusinessBreakByBreakId(Long breakId);

    /**
     * 查询故障列表
     *
     * @param breakReq 故障
     * @return 故障集合
     */
    public List<BusinessBreak> selectBusinessBreakList(BreakReq breakReq);

    /**
     * 新增故障
     *
     * @param businessBreak 故障
     * @return 结果
     */
    public int insertBusinessBreak(BusinessBreak businessBreak);

    /**
     * 修改故障
     *
     * @param businessBreak 故障
     * @return 结果
     */
    public int updateBusinessBreak(BusinessBreak businessBreak);

    /**
     * 删除故障
     *
     * @param breakId 故障主键
     * @return 结果
     */
    public int deleteBusinessBreakByBreakId(Long breakId);

    /**
     * 批量删除故障
     *
     * @param breakIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessBreakByBreakIds(Long[] breakIds);

    List<BreakLog> breakLog();

}
