package com.zhilian.business.service;

import java.util.List;

import com.zhilian.business.domain.BreakLog;
import com.zhilian.business.domain.BusinessBreak;
import com.zhilian.business.domain.request.BreakReq;

/**
 * 故障Service接口
 *
 * @author Yy
 * @date 2024-04-07
 */
public interface IBusinessBreakService
{
    /**
     * 查询故障
     *
     * @param breakId 故障主键
     * @return 故障
     */
    public BusinessBreak selectBusinessBreakByBreakId(Long breakId);

    /**
     * 查询故障列表
     *
     * @param breakReq 故障
     * @return 故障集合
     */
    public List<BusinessBreak> selectBusinessBreakList(BreakReq breakReq);

    /**
     * 新增故障
     *
     * @param businessBreak 故障
     * @return 结果
     */
    public int insertBusinessBreak(BusinessBreak businessBreak);

    /**
     * 修改故障
     *
     * @param businessBreak 故障
     * @return 结果
     */
    public int updateBusinessBreak(BusinessBreak businessBreak);

    /**
     * 批量删除故障
     *
     * @param breakIds 需要删除的故障主键集合
     * @return 结果
     */
    public int deleteBusinessBreakByBreakIds(Long[] breakIds);

    /**
     * 删除故障信息
     *
     * @param breakId 故障主键
     * @return 结果
     */
    public int deleteBusinessBreakByBreakId(Long breakId);

    List<BreakLog> breakLog();

}
