package com.zhilian.business.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.zhilian.business.domain.Break;
import com.zhilian.business.domain.BreakVo;
import com.zhilian.business.mapper.BreakMapper;
import com.zhilian.business.service.BreakService;
import com.zhilian.common.core.web.page.PageResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName BreakServiceImpl
 * @Description TODO
 * @Author YuanYongH
 * @Date 2024/4/4 9:54
 */
@Service
public class BreakServiceImpl implements BreakService {
    @Autowired
    private BreakMapper breakMapper;
    @Override
    public PageResult<Break> breakList(BreakVo breakVo) {
        PageHelper.startPage(breakVo.getPageNum(),breakVo.getPageSize());
        List<Break> list = breakMapper.breakList(breakVo);
        PageInfo<Break> info = new PageInfo<>(list);
        return PageResult.toResult(info.getTotal(),list).getData();
    }

    @Override
    public int breakAdd(Break break1) {
        int i = breakMapper.breakAdd(break1);
        if (i>0){
            breakMapper.addBreak(break1.getBreakCode(),break1.getBreakVin(),break1.getBreakTime(),break1.getBreakDate(),break1.getBreakType(),break1.getBreakState());
        }
        return i;
    }

    @Override
    public int breakUpd(Break break1) {
        return breakMapper.breakUpd(break1);
    }

    @Override
    public int breakDel(Integer breakId) {
        return breakMapper.breakDel(breakId);
    }
}
