package com.zhilian.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhilian.business.domain.Markers;
import com.zhilian.business.mapper.MarkersMapper;
import com.zhilian.business.service.MarkersService;
import com.zhilian.common.core.utils.StringUtils;
import com.zhilian.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MarkersServiceImpl extends ServiceImpl<MarkersMapper, Markers> implements MarkersService {
    @Autowired
    RedisService service;
    @Override
    public List<Markers> selectMarkersList(Markers markers) {
        LambdaQueryWrapper<Markers> queryWrapper = new LambdaQueryWrapper<>();
        //模糊查询 查询标识名称
        queryWrapper.like(StringUtils.isNotEmpty(markers.getMarkersName()), Markers::getMarkersName, markers.getMarkersName());

        return this.list(queryWrapper);
    }


    /**
     * 查询全部标识信息
     * @return
     */
    @Override
    public List<Markers> listMarkers() {
        if(service.hasKey("markers")){
            List<Markers> markers = service.getCacheList("markers");
            return markers;
        }
        List<Markers> list = this.list();
        service.setCacheList("markers",list);
        return list;
    }
}
