package com.zhilian.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhilian.business.domain.VehicleType;
import com.zhilian.business.mapper.VehicleTypeMapper;
import com.zhilian.business.service.VehicleTypeService;
import com.zhilian.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class VehicleTypeServiceImpl extends ServiceImpl<VehicleTypeMapper, VehicleType> implements VehicleTypeService {
    @Autowired
    private RedisService redisService;
    @Override
    public List<VehicleType> listVehicleType() {
        if(redisService.hasKey("vehicleType")){
            List<VehicleType> vehicleType = redisService.getCacheList("vehicleType");
            return vehicleType;
        }
        List<VehicleType> list = this.list();
        redisService.setCacheList("vehicleType",list);
        return this.list();
    }
}
