package com.zhilian.online.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhilian.common.core.domain.Result;
import com.zhilian.online.domain.Gather;
import com.zhilian.online.domain.VehicleAccount;
import com.zhilian.online.domain.req.GatherRegReq;

/**
 * @version:
 * @Author: LiYuan
 * @description: 车辆负载中心服务接口
 * @date: 2024/3/29  20:42
 */
public interface OnlineLoadCenterService extends IService<VehicleAccount> {

    /**
     * @description: 车辆申请注解令牌接口,仅限内网访问
     * @author: LiYuan
     * @param: vehicle
     * @return: Result<OnlineAccount>
     **/
    Result<String> applyForReg(Gather gather);

    /**
     * @description: 车辆使用申请的一次性账户连接收集节点
     * @author: LiYuan
     * @param:
     * @return: Result
     **/
    Result regGather(Gather gather);


    /**
     * 车辆申请上线收集节点
     * @author: LiYuan
     * @param: vin
     * @return gather
     */
    Gather applyForConnectToGather(String vin);


    /**
     * @description:车辆下线接口
     * @author: LiYuan
     * @param: vin
     * @return: Result
     **/
    void applyForDisconnectToGather(String vin);
}
