package com.zhilian.online.uitls;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.uitls
 * @Author: LiYuan
 * @CreateTime: 2024-04-07  22:04
 * @Description: 报文解析器, 对接受到的报文进行初步解析
 * @Version: 1.0
 */
@Component
@Slf4j
public class MessageResolver {

    /*
     * @Author: LiYuan
     * @Date: 2024/4/2 14:58
     * @Description: 将16进制字符串转换为ASCII字符串
     * @Param: [hexString]
     * @Return: java.lang.String
     **/
    public static String hexToString(String hexString) {
        StringBuffer asciiString = new StringBuffer();

        for (int i = 0; i < hexString.length(); i += 2) {
            String hex = hexString.substring(i, i + 2);
            int decimal = Integer.parseInt(hex, 16);
            asciiString.append((char) decimal);
        }
        return asciiString.toString();
    }

    /**
     * @description:获取车辆VIN码
     * @author: LiYuan
     * @param: [msg]
     * @return: String
     **/
    public static String parseMsg(String msg) {
        //去头去尾
        String substring = msg.substring(2, msg.length() - 2);
        //log.info("去头去尾的报文：" + substring);

        //去空格
        String hexStringWithoutSpaces = substring.replaceAll("\\s+", "");

        //转换为ASCII字符串
        String asciiString = hexToString(hexStringWithoutSpaces);

        //log.info("解析后报文：" + asciiString);

        return asciiString;
    }


}
