package com.zhilian.resolver;


import com.zhilian.common.security.annotation.EnableCustomConfig;
import com.zhilian.common.security.annotation.EnableMyFeignClients;
import com.zhilian.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @ClassName ZhiLianResolverApplication
 * @Description TODO
 * @Author YuanYongH
 * @Date 2024/4/8 17:25
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableScheduling
@EnableMyFeignClients(basePackages = {"com.zhilian.business.remote","com.zhilian.common.system.remote"})
@MapperScan({"com.zhilian.resolver.mapper", "com.zhilian.resolver.resolverReport"})
@SpringBootApplication
public class ZhiLianResolverApplication {
    public static void main(String[] args) {
        SpringApplication.run(ZhiLianResolverApplication.class,args);
    }
}
