package com.zhilian.resolver.service.impl.eventStorage;

import com.zhilian.common.resolver.domain.ResolverReportData;
import com.zhilian.common.resolver.domain.SysUserEnhancedServices;
import com.zhilian.resolver.mapper.UserMapper;
import com.zhilian.resolver.service.ResolverReportInfoService;
import com.zhilian.resolver.service.ResolverEventService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
  * @ClassName StorageEventServiceImpl
  * @Description 存储服务事件
  * @Author Can.J
  * @Date  2024/4/4 9:57
 */
@Slf4j
@Service("event-storage")
public class StorageEventServiceImpl implements ResolverEventService {
    @Autowired
    private UserMapper userMapper;
    @Autowired
    private ResolverReportInfoService resolverReportInfoService;
    @Override
    public void execute(ResolverReportData vehicleData) {
        log.info("开始存储");
                resolverReportInfoService.saveDataToDatabase(vehicleData);
        log.info("结束存储");
    }

    @Override
    public String getEventName() {
        return "event-storage";
    }
}
